/*
 * @(#)java_lang_String.h
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#include <native.h>
/* Header for class java_lang_String */

#ifndef _Included_java_lang_String
#define _Included_java_lang_String

#pragma pack(4)

typedef struct Classjava_lang_String {
    struct HArrayOfChar *value;
    long offset;
    long count;
#undef java_lang_String_serialVersionUID
#define java_lang_String_serialVersionUID LL_CON( -6849794470754667710LL, -1594842056L, 2050732866L )
} Classjava_lang_String;
HandleTo(java_lang_String);

#pragma pack()

#ifdef __cplusplus
extern "C" {
#endif
struct Hjava_lang_String;
extern struct Hjava_lang_String *java_lang_String_intern(struct Hjava_lang_String *);
#ifdef __cplusplus
}
#endif
#endif
