/*
 * @(#)fd_md.h	1.4 95/11/11  Pavani Diwanji
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef	_AIX_FD_MD_H_
#define	_AIX_FD_MD_H_

#include <sys/param.h>
#include <dirent.h>
#include <unistd.h>
#include "java_io_FileDescriptor.h"

void sysInitFD(Classjava_io_FileDescriptor *, int);

int sysOpenFD(Classjava_io_FileDescriptor *, const char *, int, int);
int sysCloseFD(Classjava_io_FileDescriptor *);
void sysSocketFD(Classjava_io_FileDescriptor *, long);
int sysReadFD(Classjava_io_FileDescriptor *, char *, int);
int sysWriteFD(Classjava_io_FileDescriptor *, char *, int);
int sysRecvFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysSendFD(Classjava_io_FileDescriptor *, char *, int, int);
int sysAvailableFD(Classjava_io_FileDescriptor *, long *);
int64_t sysLseekFD(Classjava_io_FileDescriptor *, int64_t, long);
void sysSyncFD(Classjava_io_FileDescriptor *);

#endif	/* !_AIX_FD_MD_H_ */
