/*
 * @(#)interrupt_md.h	1.6 95/11/29  
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 * Solaris interrupts
 */

#ifndef	_AIX_INTERRUPT_MD_H_
#define	_AIX_INTERRUPT_MD_H_

/*
 * Header files.
 */
#include "bool.h"

/*
 * Number of interrupt channels.
 */
#define	N_INTERRUPTS	32	/* 0 to 31 */

/*
 * Routines/Macros that actually set/get the processor interrupt level.
 */
extern void 	intrLock(void);
extern void 	intrUnlock(void);
extern bool_t 	intrIsLocked(void);

#endif	/* !_AIX_INTERRUPT_MD_H_ */
