/*
 * @(#)path_md.h	1.14 96/02/13  
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 * Solaris-dependent search path definitions and API
 */

#ifndef _AIX_PATH_MD_H_
#define _AIX_PATH_MD_H_

#define	DIR_SEPARATOR		'/'
#define	LOCAL_DIR_SEPARATOR	'/'

#define	CLS_CONST_STRING	"<init>([C)Ljava/lang/String;"

#define	CLS_RESLV_INIT_CLASS	"java/lang/Class"
#define	CLS_RESLV_INIT_OBJECT	"java/lang/Object"
#define	CLS_RESLV_INIT_REF	"sun/misc/Ref"

#define INTRP_BRKPT_STRING	"sun/tools/debug/BreakpointHandler"

#define LANG_MATH_INTEGER_VALOF	"<init>(I)Ljava/lang/Integer;"
#define LANG_MATH_LONG_VALOF	"<init>(J)Ljava/lang/Long;"
#define LANG_MATH_FLOAT_VALOF	"<init>(F)Ljava/lang/Float;"
#define LANG_MATH_DOUBLE_VALOF	"<init>(D)Ljava/lang/Double;"

#define LANG_OBJECT_CLONE	"copy(Ljava/lang/Object;)V"

#define LANG_STRING_MAKE_STR	"<init>([C)Ljava/lang/String;"

#define sysNativePath(path)	(path)

#endif /* !_AIX_PATH_MD_H_ */
