/*
 * @(#)typedefs_md.h	1.31 97/01/23
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _UNIX_TYPES_MD_H_
#define _UNIX_TYPES_MD_H_

#include <sys/types.h>
#include <sys/stat.h>
#include "bool.h"

#ifdef ppc
#define HAVE_ALIGNED_DOUBLES
#define HAVE_ALIGNED_LONGLONGS
#endif

/*
 * ibm01073
 * Provide indirection for emulated/native datatypes.
 */

#include <longlong_md.h>		/* 64-bit integers (long long) */
#include <float_md.h>			/* IEEE 754 floating point */

#endif /* !_UNIX_TYPES_MD_H_ */
