/*
 * @(#)java_lang_ThreadGroup.h
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#include <native.h>
/* Header for class java_lang_ThreadGroup */

#ifndef _Included_java_lang_ThreadGroup
#define _Included_java_lang_ThreadGroup
struct Hjava_lang_ThreadGroup;
struct Hjava_lang_String;
struct Hjava_lang_Thread;

#pragma pack(4)

typedef struct Classjava_lang_ThreadGroup {
    struct Hjava_lang_ThreadGroup *parent;
    struct Hjava_lang_String *name;
    long maxPriority;
    /*boolean*/ long destroyed;
    /*boolean*/ long daemon;
    /*boolean*/ long vmAllowSuspension;
    long nthreads;
    struct HArrayOfObject *threads;
    long ngroups;
    struct HArrayOfObject *groups;
} Classjava_lang_ThreadGroup;
HandleTo(java_lang_ThreadGroup);

#pragma pack()

#ifdef __cplusplus
extern "C" {
#endif
#ifdef __cplusplus
}
#endif
#endif
