/*
 * @(#)oobj_md.h	1.7 95/09/12  
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 * Solaris-dependent search paths and oobj defines
 */

#ifndef _AIX_OOBJ_MD_H_
#define _AIX_OOBJ_MD_H_

#include <unistd.h>

#define JAVAPKG  "java/lang/"

/*
 * JIT changes are enabled by default.
 *
 * This can be overridden by defining IBM_DISABLE_JIT
 */
#ifndef IBM_DISABLE_JIT
  #define JMS_TRL 1	/*ibm*/
  #define JIT_TRL 1	/*ibm*/
  #define JIT_WAY 1	/*ibm*/
#ifndef MON_FLAT /* ibm.3740 */
  #define MON_TRL 1	/*ibm*/
#endif /* ibm.3740 */
#endif

#endif /* !_AIX_OOBJ_MD_H_ */
