/*
 * @(#)wrap.h
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
/*
 * @(#)wrap.h	1.5 96/11/23
 *
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 */

#ifndef _WRAP_H_
#define _WRAP_H_

#include "native.h"
#include "typecodes.h"

typedef union {
    int32_t x[2];
    long    i;			/* z,b,c,s,i */
    float_t f;							/*ibm.1229*/
    double_t d;							/*ibm.1229*/
    int64_t l;
    char    *p;
    HObject *h;
} JavaValue;

#define	T_BAD	T_XXUNUSEDXX1	/* 1 */

/*
 * Routines to wrap and unwrap primitive Java types.
 */
extern HObject *	java_wrap(JavaValue, unsigned char);
extern unsigned char	java_unwrap(HObject *, JavaValue *);

#endif /* _WRAP_H */
